Bug 670797 - panic in kfree() due to race condition in acpi_bus_receive_event() [rhel-5.6.z]
Summary: panic in kfree() due to race condition in acpi_bus_receive_event() [rhel-5.6.z]
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel
Version: 5.5
Hardware: All
OS: Linux
high
high
Target Milestone: rc
: ---
Assignee: Jiri Pirko
QA Contact: Red Hat Kernel QE team
URL:
Whiteboard:
Depends On: 670373
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-01-19 12:36 UTC by RHEL Product and Program Management
Modified: 2018-11-14 15:38 UTC (History)
11 users (show)

Fixed In Version: kernel-2.6.18-238.2.1.el5
Doc Type: Bug Fix
Doc Text:
Prior to this update, kernel panic occurred in the kfree() due to a race condition in the acpi_bus_receive_event() function. The acpi_bus_receive_event() function left the acpi_bus_event_list list attribute unlocked between checking it whether it was empty and calling the kfree() function on it. With this update, a check was added after the lock has been lifted in order to prevent the race and the calling of the kfree() function on an empty list.
Clone Of:
Environment:
Last Closed: 2011-03-01 20:30:22 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2011:0303 normal SHIPPED_LIVE Moderate: kernel security and bug fix update 2011-03-01 20:29:26 UTC

Description RHEL Product and Program Management 2011-01-19 12:36:54 UTC
This bug has been copied from bug #670373 and has been proposed
to be backported to 5.6 z-stream (EUS).

Comment 2 Jiri Pirko 2011-01-21 12:29:06 UTC
in kernel-2.6.18-238.2.1.el5

linux-2.6-acpi-bus-check-if-list-is-empty-before-kfree-ing-it.patch

Comment 5 errata-xmlrpc 2011-03-01 20:30:22 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2011-0303.html

Comment 6 Martin Prpič 2011-07-13 20:21:03 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Prior to this update, kernel panic occurred in the kfree() due to a race condition in the acpi_bus_receive_event() function. The acpi_bus_receive_event() function left the acpi_bus_event_list list attribute unlocked between checking it whether it was empty and calling the kfree() function on it. With this update, a check was added after the lock has been lifted in order to prevent the race and the calling of the kfree() function on an empty list.


Note You need to log in before you can comment on or make changes to this bug.